package visualiser.gameController.Keys;

import javafx.scene.input.KeyCode;
import network.Messages.Enums.BoatActionEnum;

/**
 * Key to trigger auto VMG
 */
public class VMGKey extends ControlKey{

    /**
     * Constructor for Control
     *
     * @param name    name of the key
     */
    public VMGKey(String name) {
        super(name, BoatActionEnum.AUTO_PILOT);
    }

    @Override
    public void onAction() {

    }

    @Override
    public void onHold() {

    }

    @Override
    public void onRelease() {

    }
}
